package com.adealink.frame.room.data

import com.adealink.frame.base.IError


/**
 * 进房状态错误
 */
class RoomStateChangeError : IError()

/**
 * 多房间信息size返回错误
 */
class RoomInfoSizeError : IError()

/**
 * 尚未进房错误
 */
class RoomNoJoinedError : IError()

/**
 * 麦位mute
 */
class RoomMicSeatMuteError : IError()

/**
 * 正在打电话
 */
class PhoneCallingError : IError()

/**
 * 房间不存在错误
 */
class RoomNoExistError : IError()

/**
 * 加入房间已改变错误
 */
class RoomJoinedChangedError : IError()

/**
 * 正在进入相同房间
 */
class RoomSameJoiningError : IError()

/**
 * 正在进房中
 */
class RoomJoiningError : IError()

/**
 * 重进房太频繁
 */
class RoomRejoiningTooOftenError : IError()